public final class HealthSourceList extends GeneratedMessage implements HealthSourceListOrBuilder
Protobuf type google.cloud.compute.v1.HealthSourceList
Inherited Members
com.google.protobuf.GeneratedMessage.<ContainingT,T>newFileScopedGeneratedExtension(java.lang.Class<?>,com.google.protobuf.Message)
com.google.protobuf.GeneratedMessage.<ContainingT,T>newMessageScopedGeneratedExtension(com.google.protobuf.Message,int,java.lang.Class<?>,com.google.protobuf.Message)
com.google.protobuf.GeneratedMessage.<ListT>makeMutableCopy(ListT)
com.google.protobuf.GeneratedMessage.<ListT>makeMutableCopy(ListT,int)
com.google.protobuf.GeneratedMessage.<T>emptyList(java.lang.Class<T>)
com.google.protobuf.GeneratedMessage.<V>serializeBooleanMapTo(com.google.protobuf.CodedOutputStream,com.google.protobuf.MapField<java.lang.Boolean,V>,com.google.protobuf.MapEntry<java.lang.Boolean,V>,int)
com.google.protobuf.GeneratedMessage.<V>serializeIntegerMapTo(com.google.protobuf.CodedOutputStream,com.google.protobuf.MapField<java.lang.Integer,V>,com.google.protobuf.MapEntry<java.lang.Integer,V>,int)
com.google.protobuf.GeneratedMessage.<V>serializeLongMapTo(com.google.protobuf.CodedOutputStream,com.google.protobuf.MapField<java.lang.Long,V>,com.google.protobuf.MapEntry<java.lang.Long,V>,int)
com.google.protobuf.GeneratedMessage.<V>serializeStringMapTo(com.google.protobuf.CodedOutputStream,com.google.protobuf.MapField<java.lang.String,V>,com.google.protobuf.MapEntry<java.lang.String,V>,int)
com.google.protobuf.GeneratedMessage.canUseUnsafe()
com.google.protobuf.GeneratedMessage.emptyBooleanList()
com.google.protobuf.GeneratedMessage.emptyDoubleList()
com.google.protobuf.GeneratedMessage.emptyFloatList()
com.google.protobuf.GeneratedMessage.emptyIntList()
com.google.protobuf.GeneratedMessage.emptyLongList()
com.google.protobuf.GeneratedMessage.internalGetMapFieldReflection(int)
com.google.protobuf.GeneratedMessage.isStringEmpty(java.lang.Object)
com.google.protobuf.GeneratedMessage.mergeFromAndMakeImmutableInternal(com.google.protobuf.CodedInputStream,com.google.protobuf.ExtensionRegistryLite)
com.google.protobuf.GeneratedMessage.newInstance(com.google.protobuf.GeneratedMessage.UnusedPrivateParameter)
com.google.protobuf.GeneratedMessage.parseUnknownFieldProto3(com.google.protobuf.CodedInputStream,com.google.protobuf.UnknownFieldSet.Builder,com.google.protobuf.ExtensionRegistryLite,int)
Static Fields
ID_FIELD_NUMBER
public static final int ID_FIELD_NUMBER
| Field Value |
| Type |
Description |
int |
|
ITEMS_FIELD_NUMBER
public static final int ITEMS_FIELD_NUMBER
| Field Value |
| Type |
Description |
int |
|
KIND_FIELD_NUMBER
public static final int KIND_FIELD_NUMBER
| Field Value |
| Type |
Description |
int |
|
NEXT_PAGE_TOKEN_FIELD_NUMBER
public static final int NEXT_PAGE_TOKEN_FIELD_NUMBER
| Field Value |
| Type |
Description |
int |
|
SELF_LINK_FIELD_NUMBER
public static final int SELF_LINK_FIELD_NUMBER
| Field Value |
| Type |
Description |
int |
|
WARNING_FIELD_NUMBER
public static final int WARNING_FIELD_NUMBER
| Field Value |
| Type |
Description |
int |
|
Static Methods
getDefaultInstance()
public static HealthSourceList getDefaultInstance()
getDescriptor()
public static final Descriptors.Descriptor getDescriptor()
newBuilder()
public static HealthSourceList.Builder newBuilder()
newBuilder(HealthSourceList prototype)
public static HealthSourceList.Builder newBuilder(HealthSourceList prototype)
public static HealthSourceList parseDelimitedFrom(InputStream input)
public static HealthSourceList parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)
parseFrom(byte[] data)
public static HealthSourceList parseFrom(byte[] data)
| Parameter |
| Name |
Description |
data |
byte[]
|
parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)
public static HealthSourceList parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)
parseFrom(ByteString data)
public static HealthSourceList parseFrom(ByteString data)
parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)
public static HealthSourceList parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)
public static HealthSourceList parseFrom(CodedInputStream input)
public static HealthSourceList parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)
public static HealthSourceList parseFrom(InputStream input)
public static HealthSourceList parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)
parseFrom(ByteBuffer data)
public static HealthSourceList parseFrom(ByteBuffer data)
parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)
public static HealthSourceList parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)
parser()
public static Parser<HealthSourceList> parser()
Methods
equals(Object obj)
public boolean equals(Object obj)
| Parameter |
| Name |
Description |
obj |
Object
|
Overrides
getDefaultInstanceForType()
public HealthSourceList getDefaultInstanceForType()
getId()
[Output Only] Unique identifier for the resource; defined by the server.
optional string id = 3355;
| Returns |
| Type |
Description |
String |
The id.
|
getIdBytes()
public ByteString getIdBytes()
[Output Only] Unique identifier for the resource; defined by the server.
optional string id = 3355;
| Returns |
| Type |
Description |
ByteString |
The bytes for id.
|
getItems(int index)
public HealthSource getItems(int index)
A list of HealthSource resources.
repeated .google.cloud.compute.v1.HealthSource items = 100526016;
| Parameter |
| Name |
Description |
index |
int
|
getItemsCount()
public int getItemsCount()
A list of HealthSource resources.
repeated .google.cloud.compute.v1.HealthSource items = 100526016;
| Returns |
| Type |
Description |
int |
|
getItemsList()
public List<HealthSource> getItemsList()
A list of HealthSource resources.
repeated .google.cloud.compute.v1.HealthSource items = 100526016;
getItemsOrBuilder(int index)
public HealthSourceOrBuilder getItemsOrBuilder(int index)
A list of HealthSource resources.
repeated .google.cloud.compute.v1.HealthSource items = 100526016;
| Parameter |
| Name |
Description |
index |
int
|
getItemsOrBuilderList()
public List<? extends HealthSourceOrBuilder> getItemsOrBuilderList()
A list of HealthSource resources.
repeated .google.cloud.compute.v1.HealthSource items = 100526016;
| Returns |
| Type |
Description |
List<? extends com.google.cloud.compute.v1.HealthSourceOrBuilder> |
|
getKind()
Output only. [Output Only] Type of the resource. Alwayscompute#healthSource for health sources.
optional string kind = 3292052;
| Returns |
| Type |
Description |
String |
The kind.
|
getKindBytes()
public ByteString getKindBytes()
Output only. [Output Only] Type of the resource. Alwayscompute#healthSource for health sources.
optional string kind = 3292052;
| Returns |
| Type |
Description |
ByteString |
The bytes for kind.
|
getNextPageToken()
public String getNextPageToken()
[Output Only] This token allows you to get the next page of results for
list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for
the query parameter pageToken in the next list request.
Subsequent list requests will have their own nextPageToken to
continue paging through the results.
optional string next_page_token = 79797525;
| Returns |
| Type |
Description |
String |
The nextPageToken.
|
getNextPageTokenBytes()
public ByteString getNextPageTokenBytes()
[Output Only] This token allows you to get the next page of results for
list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for
the query parameter pageToken in the next list request.
Subsequent list requests will have their own nextPageToken to
continue paging through the results.
optional string next_page_token = 79797525;
| Returns |
| Type |
Description |
ByteString |
The bytes for nextPageToken.
|
getParserForType()
public Parser<HealthSourceList> getParserForType()
Overrides
getSelfLink()
public String getSelfLink()
[Output Only] Server-defined URL for this resource.
optional string self_link = 456214797;
| Returns |
| Type |
Description |
String |
The selfLink.
|
getSelfLinkBytes()
public ByteString getSelfLinkBytes()
[Output Only] Server-defined URL for this resource.
optional string self_link = 456214797;
| Returns |
| Type |
Description |
ByteString |
The bytes for selfLink.
|
getSerializedSize()
public int getSerializedSize()
| Returns |
| Type |
Description |
int |
|
Overrides
getWarning()
public Warning getWarning()
[Output Only] Informational warning message.
optional .google.cloud.compute.v1.Warning warning = 50704284;
| Returns |
| Type |
Description |
Warning |
The warning.
|
getWarningOrBuilder()
public WarningOrBuilder getWarningOrBuilder()
[Output Only] Informational warning message.
optional .google.cloud.compute.v1.Warning warning = 50704284;
hasId()
[Output Only] Unique identifier for the resource; defined by the server.
optional string id = 3355;
| Returns |
| Type |
Description |
boolean |
Whether the id field is set.
|
hasKind()
Output only. [Output Only] Type of the resource. Alwayscompute#healthSource for health sources.
optional string kind = 3292052;
| Returns |
| Type |
Description |
boolean |
Whether the kind field is set.
|
hasNextPageToken()
public boolean hasNextPageToken()
[Output Only] This token allows you to get the next page of results for
list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for
the query parameter pageToken in the next list request.
Subsequent list requests will have their own nextPageToken to
continue paging through the results.
optional string next_page_token = 79797525;
| Returns |
| Type |
Description |
boolean |
Whether the nextPageToken field is set.
|
hasSelfLink()
public boolean hasSelfLink()
[Output Only] Server-defined URL for this resource.
optional string self_link = 456214797;
| Returns |
| Type |
Description |
boolean |
Whether the selfLink field is set.
|
hasWarning()
public boolean hasWarning()
[Output Only] Informational warning message.
optional .google.cloud.compute.v1.Warning warning = 50704284;
| Returns |
| Type |
Description |
boolean |
Whether the warning field is set.
|
hashCode()
| Returns |
| Type |
Description |
int |
|
Overrides
internalGetFieldAccessorTable()
protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Overrides
isInitialized()
public final boolean isInitialized()
Overrides
newBuilderForType()
public HealthSourceList.Builder newBuilderForType()
newBuilderForType(AbstractMessage.BuilderParent parent)
protected HealthSourceList.Builder newBuilderForType(AbstractMessage.BuilderParent parent)
Overrides
toBuilder()
public HealthSourceList.Builder toBuilder()
writeTo(CodedOutputStream output)
public void writeTo(CodedOutputStream output)
Overrides